# Need PyTest ≥ 3.2.1 (but not 3.3.0) for test suite
# python-pytest too old prior to F-26
%global run_tests_py3 (0%{?fedora} > 25 || 0%{?rhel} > 7)

%global sum	Modern password hashing for your software and your servers

Name:		python-bcrypt
Version:	3.2.2
Release:	1%{?dist}
Summary:	%{sum}
# crypt_blowfish code is in Public domain and all other code in ASL 2.0
License:	ASL 2.0 and Public Domain and BSD
URL:		http://pypi.python.org/pypi/bcrypt
Source0:	https://files.pythonhosted.org/packages/source/b/bcrypt/bcrypt-%{version}.tar.gz
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc

%description
%{sum}.

%package -n python%{python3_pkgversion}-bcrypt
Summary:	%{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-bcrypt}
BuildRequires:	python%{python3_pkgversion}-devel >= 3.6
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-cffi >= 1.1
%if %{run_tests_py3}
BuildRequires:	python%{python3_pkgversion}-pytest >= 3.2.1
%endif
BuildRequires:	python%{python3_pkgversion}-six >= 1.4.1
Requires:	python%{python3_pkgversion}-six >= 1.4.1
Requires:	python%{python3_pkgversion}-cffi >= 1.1
Conflicts:	python3-py-bcritp
Provides:	python3-py-bcrypt = 0.4-11
Obsoletes:	python3-py-bcrypt < 0.4-11

%description -n python%{python3_pkgversion}-bcrypt
%{sum}.

%prep
%setup -q -n bcrypt-%{version}

%build
%py3_build

%install
%py3_install

# Better safe than sorry
find %{buildroot}%{python3_sitearch} -name '*.so' -exec chmod -c 755 {} ';'

%check
%if %{run_tests_py3}
PYTHONPATH=%{buildroot}%{python3_sitearch}:${PYTHONPATH} pytest-3
%endif

%files -n python%{python3_pkgversion}-bcrypt
%license LICENSE
%doc README.rst
%{python3_sitearch}/bcrypt/
%{python3_sitearch}/bcrypt-%{version}*

%changelog
* Mon May  2 2022 Paul Howarth <paul@city-fan.org> - 3.2.2-1
- Update to 3.2.2
  - Added support for compilation on z/OS
  - The next release of 'bcrypt' with be 4.0 and it will require Rust at
    compile time, for users building from source; the minimum supported Rust
    version will be 1.56.0
  - This will be the final release for which we ship 'manylinux2010' wheels;
    going forward the minimum supported manylinux ABI for our wheels will be
    'manylinux2014'
  - Fixed packaging of 'py.typed' files in wheels so that 'mypy' works
- Use %%license unconditionally
- Avoid use of "python setup.py test", which no longer works

* Mon Aug 17 2020 Paul Howarth <paul@city-fan.org> - 3.2.0-1
- Update to 3.2.0
  - Added typehints for library functions
  - Dropped support for Python versions less than 3.6 (2.7, 3.4, 3.5)
  - Shipped 'abi3' Windows wheels (requires pip ≥ 20)
- Drop python2 sub-package

* Sun May 31 2020 Paul Howarth <paul@city-fan.org> - 3.1.7-5
- Rebuilt for Python 3.9

* Tue Nov 26 2019 Paul Howarth <paul@city-fan.org> - 3.1.7-2
- Import from Fedora

* Tue Aug 20 2019 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.1.7-1
- Update to 3.1.7

* Fri Aug 16 2019 Miro Hrončok <mhroncok@redhat.com> - 3.1.6-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Mar 18 2019 Marc Dequènes (Duck) <duck@redhat.com> - 3.1.6-2
- Adaptations to build Python 3 on EPEL

* Fri Feb 08 2019 Alfredo Moralejo <amoralej@redhat.com> - 3.1.6-1
- Update to 3.1.6.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 16 2018 Miro Hrončok <mhroncok@redhat.com> - 3.1.4-5
- Rebuilt for Python 3.7

* Thu Apr 05 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.1.4-4
- Fix Requires for epel7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Oct 21 2017 williamjmorenor@gmail.com - 3.1.4-2
- Update python2 requirements
- Enable tests in build

* Sat Oct 21 2017 williamjmorenor@gmail.com - 3.1.4-1
- Update to 3.1.4
  Upstream notes:
   - Fixed compilation with mingw and on illumos.

* Wed Aug 09 2017 Gwyn Ciesla <limburgher@gmail.com> - 3.1.3-4
- Replace py-bcrypt.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 William Moreno <williamjmorenor@gmail.com> - 3.1.3-1
- Update to 3.1.3 upstream release 

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 10 2017 William Moreno <williamjmorenor@gmail.com> - 3.1.2-1
- Update to v3.1.2

* Mon Dec 12 2016 Charalampos Stratakis <cstratak@redhat.com> - 3.1.0-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Jun 30 2016 William Moreno <williamjmorenor@gmail.com> - 3.1.0-1
- Update to bugfix release 3.1.0
- Add conflicts for the python3 subpackage

* Thu Jun 30 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.0.0-1
- Update to 3.0.0 (Fixes RHBZ#1351377)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 06 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.0.0-3
- Add conflicts to py-bcrypt since they both provide a bcrypt python module
- Fix macro that were using %%{module} instead of %%{modname}
- In fact the .so files must be executable, so ensure they are such

* Wed Jan 06 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.0.0-2
- Fix the license as the package has some Public Domain files
- Ensure the .so files are not executable

* Tue Jan 05 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.0.0-1
- initial package for Fedora
